"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
class Remotion extends core_1.Command {
    async run() {
        const { args } = await this.parse(Remotion);
        switch (args.command) {
            case 'upgrade':
                shelljs_1.default.exec('yarn remotion upgrade');
                break;
            case 'preview':
                shelljs_1.default.exec(`yarn remotion preview video/src/index.tsx --props='{\"filename\": \"example\", \"destination\": \"youtube\"}'`);
                break;
            case 'renderExample':
                shelljs_1.default.exec(`yarn remotion render video/src/index.tsx Main out.mp4 --props='{\"filename\": \"example\"}'`);
                break;
        }
    }
}
exports.default = Remotion;
Remotion.description = 'Remotion framework related commands';
Remotion.examples = [
    '<%= config.bin %> <%= command.id %> upgrade',
    '<%= config.bin %> <%= command.id %> preview',
    '<%= config.bin %> <%= command.id %> render-example',
];
Remotion.args = [
    {
        name: 'command',
        required: true,
        description: 'Command to run',
        options: ['upgrade', 'preview', 'render-example'],
    },
];
