"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const readline_1 = tslib_1.__importDefault(require("readline"));
// low-level terminal interactions
class Terminal {
    constructor() {
        this.isTTY = process.stdout.isTTY;
    }
    cursorSave() {
        process.stdout.write('\x1B7');
    }
    cursorRestore() {
        process.stdout.write('\x1B8');
    }
    resetCursor() {
        if (!this.isTTY) {
            return;
        }
        readline_1.default.cursorTo(process.stdout, 0);
    }
    clearRight() {
        if (!this.isTTY) {
            return;
        }
        readline_1.default.clearLine(process.stdout, 1);
    }
    newline() {
        process.stdout.write('\n');
    }
    write(s) {
        process.stdout.write(s);
    }
    getWidth() {
        return process.stdout.columns || (process.stdout.isTTY ? 80 : 200);
    }
}
exports.default = Terminal;
