"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Title = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const Title = ({ titleText, finishContentEarlierInFrames }) => {
    const videoConfig = remotion_1.useVideoConfig();
    const frame = remotion_1.useCurrentFrame();
    const text = titleText.split(' ').map((t) => ` ${t} `);
    const framesPerChar = (videoConfig.durationInFrames - finishContentEarlierInFrames) /
        titleText.length;
    const orientation = videoConfig.width > videoConfig.height ? 'landscape' : 'portrait';
    const indexOfEndOfTitle = text.findIndex((word) => word.match(/.*:.*/));
    const opacity = remotion_1.spring({
        fps: videoConfig.fps,
        from: 0,
        to: 1,
        frame,
        config: { mass: 1, damping: 1000 },
    });
    return (jsx_runtime_1.jsx("div", Object.assign({ style: { padding: orientation === 'landscape' ? 50 : 100 } }, { children: jsx_runtime_1.jsx("h1", Object.assign({ style: {
                fontFamily: 'Nunito',
                alignSelf: 'center',
                opacity,
                margin: 0,
            } }, { children: text.map((t, i, arr) => {
                const wordShouldAppear = frame -
                    (arr
                        .slice(0, i)
                        .reduce((acc, element) => acc + element.length, 0) -
                        i) *
                        framesPerChar >
                    0;
                // Se o frame atual - frame da palavra (todas as letras e espaços da palavra atual e anteriores * framesPerChar) > 0 -> mostra a palavra
                if (i <= indexOfEndOfTitle) {
                    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx("span", Object.assign({ style: {
                                    color: `${wordShouldAppear
                                        ? '#fff'
                                        : '#497399'}`,
                                    display: 'inline-block',
                                    fontSize: 65,
                                    fontWeight: 700,
                                } }, { children: t }), t),
                            i === indexOfEndOfTitle ? jsx_runtime_1.jsx("br", {}, void 0) : jsx_runtime_1.jsx(jsx_runtime_1.Fragment, { children: " " }, void 0)] }, void 0));
                }
                return (jsx_runtime_1.jsx("span", Object.assign({ style: {
                        marginLeft: 5,
                        marginRight: 5,
                        color: `${wordShouldAppear ? '#fff' : '#497399'}`,
                        display: 'inline-block',
                        fontWeight: 300,
                        fontSize: 45,
                    } }, { children: t }), t));
            }) }), void 0) }), void 0));
};
exports.Title = Title;
