"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Wrapper = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const styled_components_1 = tslib_1.__importDefault(require("styled-components"));
const youtubeWrapper_1 = require("./youtubeWrapper");
const VideoWrapper = styled_components_1.default.div `
	background: #0c2d48;
	display: flex;
	flex-direction: column;
	width: ${(props) => props.videoWidth}px;
	height: ${(props) => props.videoHeight}px;
	justify-content: space-between;
	overflow: hidden;
`;
const { destination } = remotion_1.getInputProps();
const Wrapper = ({ children, title, show }) => {
    const { width: videoWidth, height: videoHeight, durationInFrames, } = remotion_1.useVideoConfig();
    if (destination === 'youtube' && show) {
        return jsx_runtime_1.jsx(youtubeWrapper_1.YoutubeWrapper, Object.assign({ title: title }, { children: children }), void 0);
    }
    return (jsx_runtime_1.jsx(VideoWrapper, Object.assign({ videoHeight: videoHeight, videoWidth: videoWidth }, { children: children }), void 0));
};
exports.Wrapper = Wrapper;
